POS Webhook - New Order

This webhook is deprecated, please see Order Events webhook

Here you'll find the keys and values you can expect in payloads for new orders and remakes. Your webhook should listen for these events, triggered when the order is accepted by the site on their deliveroo tablet, via Picking API or via the Order Update API endpoint.

New Deliveroo order payloads can vary depending on fulfillment types.

Please consult Fulfillment Types page in Guides and see examples of requests on the right. See also other order types:

We're using same webhook url for new_order and cancel_order event.

Body Params

New order event

string

The name of the event. In this case new_order

string

The in-store system location ID

string

Date and time when the site accepted the order on the Deliveroo tablet in the ISO-8601 format

order
object
remake_details
object
Headers
string
required

Deliveroo Sequential globally unique identifier (GUID). Please implement it as case-insensitive.

string
required

On registration, we'll provide you with a webhook secret. We'll use the webhook secret and a sequential globally unique identifier (GUID) to generate a hash of the order payload. When you receive a POST request, you will be able to compute a hash and verify that it's a genuine, authorized request sent from Deliveroo. Please implement it as case-insensitive.

Responses
200

Your server returns this code if it accepts the callback.

4XX

Your server can return 4XX codes to signal its issues with the request.

5XX

Your server can return 5XX codes to signal its internal issues.

Language
Credentials
OAuth2
URL